\definecolor{wvvxds}{rgb}{0.396078431372549,0.3411764705882353,0.8235294117647058}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-1.5,-0.5) rectangle (2.5,2.5);
\fill[line width=1pt,color=wvvxds!30] (-1,0) -- (-1,2) -- (2,2) -- cycle;
\draw[line width=0.8pt,fill=wvvxds] (-1,1.5757359312880714) -- (-0.5757359312880715,1.5757359312880714) -- (-0.5757359312880715,2) -- (-1,2) -- cycle; 
\draw [shift={(2,2)},line width=0.8pt] (0,0) -- (180:0.6) arc (180:213.69006752597977:0.6) -- cycle;
\draw [line width=1pt] (-1,0)-- node[left] {\rotatebox{90}{5cm}} (-1,2);
\draw [line width=1pt] (-1,2)-- (2,2);
\draw [line width=1pt] (2,2)-- (-1,0);
\draw (-1.25,-0.25) node {$S$};
\draw (-1.25,2.25) node {$L$};
\draw (2.25,2.25) node {$O$};
\draw (1,1.75) node {$83\textrm{\degre}$};
\end{tikzpicture}